[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollBox.CMParentColorChanged

Handles the CM_PARENTCOLORCHANGED message for the control.

## Declaration

Source position: forms.pp line 220

`protected procedure TScrollBox.CMParentColorChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMParentColorChanged is an overridden method in TScrollBox used to handle a CM_PARENTCOLORCHANGED message received for the control. It calls the UpdateParentColorChange method to include or exclude csOpaque in the ControlStyle property; csOpaque is included if either ParentColor or ParentBackground is set to True. Otherwise, the value is excluded from ControlStyle.

CMParentColorChanged calls the inherited method to update the Color property when ParentColor is enabled.

## See also

TScrollBox.ParentBackground |  | Indicates if the control uses the background from its Parent control.
TScrollBox.ParentColor |  | Use the Color from the Parent control, when enabled.
TScrollBox.Color |  | The background color for the control.
TControl.CMParentColorChanged |  | Handles a CM_PARENTCOLORCHANGED message for the control.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TControlStyleType |  | Enumerated type with values for features or behaviors for a control.